Page MenuHomePhabricator

[analyzer] Move InnerPointerChecker out of alpha
ClosedPublic

Authored by rnkovacs on Jul 8 2018, 11:24 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

rnkovacs created this revision.Jul 8 2018, 11:24 AM

Don't you need to edit the tests as well?

rnkovacs updated this revision to Diff 154760.Jul 10 2018, 1:33 AM

Fix test run line.

@rnkovacs Do you have evaluation statistics handy for this checker? How many bugs it finds, on which projects? How many of those are real bugs?

@rnkovacs Do you have evaluation statistics handy for this checker? How many bugs it finds, on which projects? How many of those are real bugs?

In its present form, it does not produce many reports, so it might be worth waiting for patches like D49360 and D49361 that add more functionality.
A recent run on LibreOffice showed one report by this checker, and it seems like a real bug (in an external package called GPGME).
Can be seen here, or if it does not work, line 135 here (quite a one-liner).

Two more reports on Ceph that seem to be true positives (no other reports from this checker):

  1. Here (or if it does not work, the bug is on L130 here).
  2. Here (or L363 and L373 here).

@rnkovacs Personally I'm fine with moving it out of alpha then.
If all the reports you have seen so far are true positives, then it's *amazing*.
I would even go as far as filing bugs on the projects in question (as a by-product, it generates visibility for you, your checker, and the analyzer) but of course it's up to you.

This revision is now accepted and ready to land.Jul 25 2018, 11:09 AM
rnkovacs updated this revision to Diff 157987.Jul 30 2018, 9:49 AM
rnkovacs retitled this revision from [analyzer] Move DanglingInternalBufferChecker out of alpha to [analyzer] Move InnerPointerChecker out of alpha.

Rebase.

NoQ accepted this revision.Jul 30 2018, 9:59 AM

Ok, cool! Let's get this done.

This revision was automatically updated to reflect the committed changes.